# Token offed for rent check

Like with [checking token rental status](/developers/integration/smart-contracts/functionality-specific-details/token-rental-status-check.md), similar rules are applied to check if the token is offered for rent.

In order to check rental status, one must call the following method of Renfter smart contract:

```solidity
 function getRentDetails(address wContract, uint256 tokenId)
        external
        view
        returns (RentDetails memory);
```

The description of the method, as well <mark style="color:red;">`RentDetails`</mark> structure, can be found on [Documentation](/developers/integration/smart-contracts/documentation.md) page.

For retrieved <mark style="color:red;">`RentDetails`</mark> object, the following rule should be followed:

* If <mark style="color:red;">`object.pricePerSecond`</mark> is zero, the token is not offered for rent
* &#x20;if <mark style="color:red;">`object.pricePerSecond`</mark> is value different than zero, the token is offered for rent


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.renfter.com/developers/integration/smart-contracts/functionality-specific-details/token-offed-for-rent-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
